def buildNum = env.BUILD_NUMBER
pipeline{
    agent any   
    environment {
        jk_aws_id = 'AWS_Techigai_Prashanth' 
    }
    stages{
        stage('Checkout') {
            steps {
                bat "echo Checkout"
                bat "ng --version"
                cleanWs()
                checkout scm
            }
        }
        stage('Restore packages'){
            steps{
                bat "npm install"
            }
        }
        stage('Test: Unit Test'){
            steps{
                bat "echo unit testing step"
                // bat "npm run test"
            }
        }
         stage('Build'){
            steps{
                bat "ng build --prod"
            }
        }
        stage('Publish to s3'){
            steps{
                bat "cd dist\\angular-app-pipeline"
               withAWS(region:'us-east-2', credentials:"${jk_aws_id}") {
                    s3Delete(bucket: 'halo-webapp-dev', path:'**/*')
                    s3Upload(bucket: 'halo-webapp-dev', includePathPattern:'dist/angular-app-pipeline/**')
                }
            }
        }
    }
    // post{
    //     always{
    //         emailext body: "${currentBuild.currentResult}: Job   ${env.JOB_NAME} build ${env.BUILD_NUMBER}\n More info at: ${env.BUILD_URL}",
    //         recipientProviders: [[$class: 'DevelopersRecipientProvider'], [$class: 'RequesterRecipientProvider']],
    //         subject: "Jenkins Build ${currentBuild.currentResult}: Job ${env.JOB_NAME}"
    //     }
    // }
}